{"revision":"c10276e953456835cdbb1f3a60d58ae1980be353","document":{"id":1746,"path":"application-development/automated-test-framework-atf/atf-step-result-record.md","title":"Step results record","bundle":null,"doc_type":null,"release":"australia","body":"\n# Step results record\n\nThe Step Results record contains information about one step in a test result. You access specific step results from the Step Results related list in the Test Results record.\n\n<table id=\"table_zhx_ck5_pcb\"><thead><tr><th>\n\nField\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nStatus\n\n</td><td>\n\nResult of the step:-   **Success**\n\nTest step passed.\n\n-   **Failure**\n\nTest step failed.\n\n-   **Success with warning\\(s\\)**\n\nTest step passed but encountered client error\\(s\\) that were allowed as warnings in the Allowed Client Error table.\n\n-   **Skipped**\n\nOccurs if an earlier test in the suite failed and **Abort on failure** is set to **true**.\n\n-   **Error**\n\nAn error occurred in the test framework. For example, the test runner halted or the server encountered an unintended scenario.\n\n-   **Cancelled**\n\nUser canceled the test or suite.\n\n\n</td></tr><tr><td id=\"type\">\n\nType\n\n</td><td id=\"type-text\">\n\nType of test result item: Step Result\n\n</td></tr><tr><td>\n\nSummary\n\n</td><td>\n\nSummarized version of the Output field.If an error occurred in the test step, the following text indicates that a client error occurred at this step, and includes a detailed exception/error message.\n\n `This step failed because the client error 'DETAILED ERROR MESSAGE' was detected on the page being tested. See failing Test Logs. To ignore these errors in the next test run, use ‘Add all client errors to warning/ignored list’ links.`\n\n Test designers and developers should always investigate client errors to determine if there are issues with your business process. For more details, see [Identify and resolve client errors](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/application-development/automated-test-framework-atf/identify-and-resolve-client-errors.md).\n\n For a Send REST Request - Inbound step, the URL for the request endpoint, and a response code. For example:\n\n `The HTTP request has been sent to the endpoint 'https://demonightlyus.service-now.com/api/now/table/kb_knowledge'`\n\n</td></tr><tr><td>\n\nOutput\n\n</td><td>\n\nGenerated output for the test step.-   For a step result, the outputs from the step, including any explanation why a step failed or was skipped.\n-   For a Send REST Request - Inbound step, the REST request and response including the response body. The output field is truncated at 4096 characters.\n    -   The REST request and response headers are filtered to prevent sensitive information from being added to the log. A filtered header text is replaced with the text \"Header redacted for security.\"\n    -   See [Filter REST request and response headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/application-development/automated-test-framework-atf/atf-filter-rest-headers.md) for information on how to add a list of REST request and response headers to be filtered.\n\n For additional console logging and test execution information for a test step, see the Test Logs record.\n\n</td></tr><tr><td>\n\nStep\n\n</td><td>\n\nName of the step executed.\n\n</td></tr><tr><td>\n\nTest Result\n\n</td><td>\n\nReference to the test result associated with this step result. Click the information icon \\( \\[Omitted image \"atf-test-results-item.png\"\\] Alt text: Reference field icon\\) to view detailed test results information.\n\n</td></tr><tr><td>\n\nDescription\n\n</td><td>\n\nDescription of the specific actions performed \\(for example, Open Create Incident Report Producer, Validate that the form matches the following condition\\) for this test step. For a client log, blank.\n\n</td></tr><tr><td>\n\nStart Time\n\n</td><td>\n\nDate and time of day at which this step or log entry started.\n\n</td></tr><tr><td>\n\nEnd Time\n\n</td><td>\n\nDate and time of day at which this step or log entry ended.\n\n</td></tr><tr><td>\n\nDuration\n\n</td><td>\n\nElapsed time it took to execute this test.\n\n</td></tr><tr><td>\n\nStep Transactions \\(related list\\)\n\n</td><td>\n\nRecord for each transaction \\(from the system transaction log \\[syslog\\_transaction\\] related to this step result\\).\n\n</td></tr></tbody>\n</table>**Parent Topic:**[Test results](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/application-development/automated-test-framework-atf/atf-test-results-module.md)\n\n**Related topics**  \n\n\n[Test results record](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/application-development/automated-test-framework-atf/atf-test-results-record.md)\n\n[Test logs record](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/application-development/automated-test-framework-atf/atf-test-log-record.md)\n\n[Allowed client errors](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/application-development/automated-test-framework-atf/whitelisted-client-errors.md)\n\n[Allow client errors from step results](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/application-development/automated-test-framework-atf/whitelist-errors-from-step-results-related-list.md)\n\n"}}